<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_HotelRatePlanFreePaxesOffer StructType
 * @subpackage Structs
 */
class JPSOAP_HotelRatePlanFreePaxesOffer extends AbstractStructBase
{
    /**
     * The AdultAdditionals
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Order
     */
    public $AdultAdditionals;
    /**
     * The ChildrenA
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Order1
     */
    public $ChildrenA;
    /**
     * The ChildrenB
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Order2
     */
    public $ChildrenB;
    /**
     * The ChildrenC
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Order3
     */
    public $ChildrenC;
    /**
     * Constructor method for JPSOAP_HotelRatePlanFreePaxesOffer
     * @uses JPSOAP_HotelRatePlanFreePaxesOffer::setAdultAdditionals()
     * @uses JPSOAP_HotelRatePlanFreePaxesOffer::setChildrenA()
     * @uses JPSOAP_HotelRatePlanFreePaxesOffer::setChildrenB()
     * @uses JPSOAP_HotelRatePlanFreePaxesOffer::setChildrenC()
     * @param \ArrayType\ArrayOfJPSOAP_Order $adultAdditionals
     * @param \ArrayType\ArrayOfJPSOAP_Order1 $childrenA
     * @param \ArrayType\ArrayOfJPSOAP_Order2 $childrenB
     * @param \ArrayType\ArrayOfJPSOAP_Order3 $childrenC
     */
    public function __construct(\ArrayType\ArrayOfJPSOAP_Order $adultAdditionals = null, \ArrayType\ArrayOfJPSOAP_Order1 $childrenA = null, \ArrayType\ArrayOfJPSOAP_Order2 $childrenB = null, \ArrayType\ArrayOfJPSOAP_Order3 $childrenC = null)
    {
        $this
            ->setAdultAdditionals($adultAdditionals)
            ->setChildrenA($childrenA)
            ->setChildrenB($childrenB)
            ->setChildrenC($childrenC);
    }
    /**
     * Get AdultAdditionals value
     * @return \ArrayType\ArrayOfJPSOAP_Order|null
     */
    public function getAdultAdditionals()
    {
        return $this->AdultAdditionals;
    }
    /**
     * Set AdultAdditionals value
     * @param \ArrayType\ArrayOfJPSOAP_Order $adultAdditionals
     * @return \StructType\JPSOAP_HotelRatePlanFreePaxesOffer
     */
    public function setAdultAdditionals(\ArrayType\ArrayOfJPSOAP_Order $adultAdditionals = null)
    {
        $this->AdultAdditionals = $adultAdditionals;
        return $this;
    }
    /**
     * Get ChildrenA value
     * @return \ArrayType\ArrayOfJPSOAP_Order1|null
     */
    public function getChildrenA()
    {
        return $this->ChildrenA;
    }
    /**
     * Set ChildrenA value
     * @param \ArrayType\ArrayOfJPSOAP_Order1 $childrenA
     * @return \StructType\JPSOAP_HotelRatePlanFreePaxesOffer
     */
    public function setChildrenA(\ArrayType\ArrayOfJPSOAP_Order1 $childrenA = null)
    {
        $this->ChildrenA = $childrenA;
        return $this;
    }
    /**
     * Get ChildrenB value
     * @return \ArrayType\ArrayOfJPSOAP_Order2|null
     */
    public function getChildrenB()
    {
        return $this->ChildrenB;
    }
    /**
     * Set ChildrenB value
     * @param \ArrayType\ArrayOfJPSOAP_Order2 $childrenB
     * @return \StructType\JPSOAP_HotelRatePlanFreePaxesOffer
     */
    public function setChildrenB(\ArrayType\ArrayOfJPSOAP_Order2 $childrenB = null)
    {
        $this->ChildrenB = $childrenB;
        return $this;
    }
    /**
     * Get ChildrenC value
     * @return \ArrayType\ArrayOfJPSOAP_Order3|null
     */
    public function getChildrenC()
    {
        return $this->ChildrenC;
    }
    /**
     * Set ChildrenC value
     * @param \ArrayType\ArrayOfJPSOAP_Order3 $childrenC
     * @return \StructType\JPSOAP_HotelRatePlanFreePaxesOffer
     */
    public function setChildrenC(\ArrayType\ArrayOfJPSOAP_Order3 $childrenC = null)
    {
        $this->ChildrenC = $childrenC;
        return $this;
    }
}
